<template>
  <div>
    <div class="content">
      <upload @onsuccess="get"></upload>
	  <div @click="up">上传</div>
	  <singleUpload :limit="1" tip="支持扩展名：.rar .zip .doc .docx .pdf .jpg..." @input="getfile"></singleUpload>
    </div>
  </div>
</template>

<script>
import { autodeploy} from '@api/common/list'
import imgupload from '@components/Upload/imgUpload.vue'
import upload from '@components/Upload/newUpload.vue'
import singleUpload from '@components/Upload/Upload.vue'
export default {
  components: {
    upload,
    imgupload,
	singleUpload 
  },
  data() {
    return {
    }
  },
  methods: {
  
	getfile(val){
		console.log(val)
	},
	 async up() {
	      try {
	        const {
	          data,
	          code
	        } = await autodeploy()
	      } catch (e) {
	        console.log(e)
	      }
	    }
  }

}
</script>

<style scoped>
